package iface

import (
	"context"

	"github.com/Neur0toxine/sshpoke/internal/config"
	"github.com/Neur0toxine/sshpoke/internal/model"
)

type DriverConstructor func(ctx context.Context, name string, params config.DriverParams) (Driver, error)

type Driver interface {
	Handle(event model.Event) error
	Driver() config.DriverType
	WaitForShutdown()
}
